﻿@model ClientTypeEnum
@{
    IEnumerable<ClientPrevEsp> PrevEsps = ViewBag.PrevEsps;
    List<SelectListItem> EmploymentOf = ViewBag.EmploymentOf;
    var name = EmploymentOf.FirstOrDefault(n => n.Value == ((int)Model).ToString());
    var color = Model == ClientTypeEnum.Client ? "#b00022" : "#008080";
}
@if (PrevEsps.Where(m => m.EmploymentOf == Model).Count() > 0)
{
    <div class="card card-custom gutter-b shadow-none heir-card bg-gray-100" style="border:1px solid @color">
        <div class="card-header heir-header" style="background: @color">
            <span class="card-title font-weight-bold font-size-h4 text-white">
                Retirement Plan - @name.Text
                <span class="label label-warning label-pill label-inline font-weight-bold ml-2 text-dark">Previous</span>
            </span>
        </div>
        <div class="card-body pt-2 font-size-h6">
            <div class="table-responsive">
                <table class="table table-sm mb-0 table-borderless table-budget" id="pre-esp-table-@((int)Model)">
                    <thead style="border-bottom:@color solid 1px">
                        <tr>
                            <td class="font-size-h6 font-weight-bold" style="width:180px">Employer</td>
                            <td class="font-size-h6 font-weight-bold" style="width:200px">Type of <br />Retirement Plan</td>
                            <td class="font-size-h6 font-weight-bold text-right max-80px">Current Balance</td>
                            <td class="font-size-h6 font-weight-bold text-right max-40px">Rate of Return</td>
                            <td class="font-weight-bold font-size-h6 pl-2 pr-2 max-w-80px">Receive Income?</td>
                            <td class="font-size-h6 font-weight-bold pl-2 pr-2 text-right min-w-100px">Annual Amount</td>
                            <td style="min-width:60px"></td>
                        </tr>
                    </thead>
                    @foreach (var item in PrevEsps.Where(m => m.EmploymentOf == Model))
                    {
                        <tr data-guid="@item.Guid" data-employmentof="@((int)item.EmploymentOf)">
                            <td>
                                <span class="display-view employername">
                                    @item.EmployerName
                                </span>
                                <span class="edit-view d-none">
                                    <input class="form-control input-xs employername required" value="@item.EmployerName" id="employername-@item.Id" />
                                </span>
                            </td>
                            <td>
                                <span>
                                    @item.TypeString
                                    @if (item.Type == RetirementPlanTypeEnum.Other)
                                    {
                                        <span>- @item.OtherType</span>
                                    }
                                </span>
                            </td>
                            <td class="text-right">
                                <span class="display-view currentbalance">
                                    @string.Format("{0:C0}", item.PreEmpCurrentBalance)
                                </span>
                                <span class="edit-view d-none">
                                    <input class="form-control input-xs currency currentbalance zero-not-allowed" value="@item.PreEmpCurrentBalance" id="currentbalance-@item.Id" type="text" />
                                </span>
                            </td>
                            <td class="text-right">
                                <span class="display-view ror">
                                    @item.PreEmpAvgRateReturn%
                                </span>
                                <span class="edit-view d-none">
                                    <input class="form-control input-xs percentage ror" value="@item.PreEmpAvgRateReturn" id="ror-@item.Id" />
                                </span>
                            </td>
                            <td class="text-center">
                                <span class="display-view hasincome">
                                    @(item.HasPreEmpIncome ? "Yes" : "No")
                                </span>
                                <span class="edit-view d-none">
                                    <span class="switch switch-outline switch-icon switch-custom switch-xs justify-content-center">
                                        <label>
                                            <input type="checkbox" @(item.HasPreEmpIncome ? "checked" : "") class="hasincome">
                                            <span></span>
                                        </label>
                                    </span>
                                </span>
                            </td>
                            <td class="w-100px text-right">
                                <span class="display-view annualamount">
                                    @(item.PreEmpAnnualAmount > 0 ? string.Format("{0:C0}", item.PreEmpAnnualAmount) : "-")
                                </span>
                                <span class="edit-view d-none">
                                    <input class="form-control input-xs currency annualamount zero-not-allowed" value="@item.PreEmpAnnualAmount" id="annualamount-@item.Id" type="text" />
                                </span>
                            </td>
                            <td>
                                <div class="display-view">
                                    <button class="btn btn-icon btn-xs btn-prevesp-edit" type="button">
                                        <i class="la la-pencil-alt icon-lg text-dark" data-toggle="tooltip" data-original-title="Edit"></i>
                                    </button>
                                    <button class="btn btn-icon btn-xs btn-prevesp-delete" type="button">
                                        <i class="la la-trash icon-lg text-dark" data-toggle="tooltip" data-original-title="Delete"></i>
                                    </button>
                                </div>
                                <div class="edit-view d-none">
                                    <button class="btn btn-icon btn-xs btn-prevesp-save" type="button">
                                        <i class="la la-save icon-lg text-dark" data-toggle="tooltip" data-original-title="Save"></i>
                                    </button>
                                    <button class="btn btn-icon btn-xs btn-prevesp-cancel" type="button">
                                        <i class="spinner spinner-primary spinner-sm d-none"></i>
                                        <i class="la la-remove icon-lg text-dark" data-toggle="tooltip" data-original-title="Cancel"></i>
                                    </button>
                                </div>
                            </td>
                        </tr>
                    }
                </table>
            </div>
        </div>
    </div>
}
<script src="~/js/page/prev-retirement-plan.js" asp-append-version="true"></script>